#!/bin/bash
#Скрипт установки сценария Dolphin: Завершение работы компьютера после воспроизведения.
#Зависимости: romp,zenity
#
# VAR
#--------
DESKTOPFILENAME="poweroffendplay.desktop"
DESKTOPPATH='.kde4/share/kde4/services/ServiceMenus/'
SCRIPTFILENAME="poweroffendplay"
SCRIPTPATH='/.local/'
TITLEECHO='"Завершение работы после просмотра"'
BODYECHO='"Воспроизведение окончено.Питание будет отключено..."'
INFOTEXT="Новый пункт меню Dolphin успешно добавлен"
ERRORTEXT="При добавлении сценария Dolphin произошла ошибка"
QUESTIONTEXT="Установка нового пункта меню Dolphin. Установить сейчас ?"
WARNINGTEXT="Установка нового пункта меню Dolphin была прервана"
#--------
# BEGIN
#
zenity --question --text "$QUESTIONTEXT"
 if [ "$?" = 1 ] ;
  then 
   zenity --warning  --text "$WARNINGTEXT"
   exit
 fi
             
mkdir -p  $HOME/$DESKTOPPATH
cat <<EOF > "$HOME/$DESKTOPPATH$DESKTOPFILENAME"
[Desktop Action poweroffend]
Exec=$HOME/.local/poweroffendplay %F
Icon=video
Name=Вык. по окончанию проигрывания

[Desktop Entry]
Type=Service
Actions=poweroffend;
Encoding=UTF-8
Icon=video
Name=Вык. по окончанию проигрывания
Name[en_US]=Power off end play
ServiceTypes=KonqPopupMenu/Plugin,audio/*,video/*

EOF

mkdir -p  $HOME/$SCRIPTPATH
cat <<EOF > "$HOME/$SCRIPTPATH$SCRIPTFILENAME"
#!/bin/bash

COUNT=10

rosa-media-player -close-at-end "\$1"
(
while [ "\$COUNT?" != 110 ]
 do
   echo \$COUNT
   COUNT=\`expr \$COUNT + 10\`
   sleep 1
 done
) |
zenity --auto-close --progress --title "Завершение работы после просмотра" --text "Воспроизведение окончено.Питание будет отключено..."
 if [ \$? = 0 ] ;
  then
  systemctl poweroff
 fi

EOF

chmod +x  "$HOME/$SCRIPTPATH$SCRIPTFILENAME"

 if [ -f "$HOME/$SCRIPTPATH$SCRIPTFILENAME" ]
   then
    zenity --info  --text "$INFOTEXT"
   else
    zenity --error --text "$ERRORTEXT"
 fi
#
# END.
